@echo off
if not exist %1.td0 goto usage
if exist %1.trd goto already

tdunp %1
tdcvt -t %1.zd0
del %1.zd0
echo Ok.
goto end

:already
echo File exist.
echo Aborted.
goto end

:usage
echo ÿ
echo Usage: TD2TRD.BAT FILENAME
echo                name without Extension !!!!!!!

:end